<?php

interface iRepositoryModel
{
	public function setLocalData($LocalData);
        public function processData();
	public function getCoordinates();
	public function getPolyLine();
	public function getStatistics();
        public function getMean();
        public function getVariance();
	public function getAddresses();
	public function getTimePeriod();
	public function getDayType();
	public function getWeatherType();
	public function getMinTrafficSeverity();
}

?>
